BaselineDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.BaselineDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class BaselineDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.measurement.server.session.BaselineDAO

    public class BaselineDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`BaselineDAO(DAOFactory f)`

Method Summary
`Baseline` | `create(Measurement m, long computeTime, boolean userEntered, java.lang.Double mean, java.lang.Double minExpectedValue, java.lang.Double maxExpectedValue)`
`Baseline` | `findById(java.lang.Integer id)`
`java.util.List` | `findByInstance(int appdefType, int appdefId)`
`Baseline` | `findByTemplateForInstance(java.lang.Integer mtId, java.lang.Integer instanceId)`
`java.util.List` | `findMeasurementsForBaselines(boolean enabled, long computeTime, int maxResults)`
`void` | `save(Baseline entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaselineDAO

    public BaselineDAO(DAOFactory f)

Method Detail

### findById

    public Baseline findById(java.lang.Integer id)

### save

    public void save(Baseline entity)

### create

    public Baseline create(Measurement m,
                           long computeTime,
                           boolean userEntered,
                           java.lang.Double mean,
                           java.lang.Double minExpectedValue,
                           java.lang.Double maxExpectedValue)

### findMeasurementsForBaselines

    public java.util.List findMeasurementsForBaselines(boolean enabled,
                                                       long computeTime,
                                                       int maxResults)

### findByInstance

    public java.util.List findByInstance(int appdefType,
                                         int appdefId)

### findByTemplateForInstance

    public Baseline findByTemplateForInstance(java.lang.Integer mtId,
                                              java.lang.Integer instanceId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.